//
// Author: Alex V. Boreskoff, <steps3d@narod.ru>
//

#extension GL_EXT_gpu_shader4 : enable

uniform	isampler2DRect	srcMap;
varying	out 	ivec4		result;

void	main ()
{
	ivec4	tex = texture2DRect ( srcMap, gl_TexCoord [0].xy );
	
	tex += ivec4 ( 1 );
	result = ivec4 ( tex.x ^ tex.y, tex.x & tex.y, tex.x | tex.y, 777 );
}